Subject: Re: [Simple] draft-ietf-simple-chat

From: Ben Campbell <[email-masked]>
Date: Fri, 1 Oct 2010 14:03:33 -0500

Based on this discussion, and guidance from Gonzalo, we will progress the draft.

Thanks!

Ben.

On Sep 28, 2010, at 9:55 PM, Hisham Khartabil wrote:

> I concur with Geir.
> 
> Thanks,
> Hisham
> 
> On 28 September 2010 21:06, Geir Arne Sandbakken <[email-masked]> wrote:
> IMHO killing this draft will considerable hurt our chances for having
> interoperable chat rooms for MSRP. Having spent cycles at SIPit and
> other interoperability events, I find RFCs that provide simple
> extensions to achieve important semantics extremely valuable.  This is
> even more important when existing implementations already have
> proprietary extensions. Agreeing on common code points - and describing
> how the switch shall behave to avoid unwanted side effects  - is
> imperative for achieving interoperability.  I guess implementers
> expected agreeing upon common code points would go quickly,  but
> sometimes small variations on implementations (aka. the nickname
> discussions) makes agreeing much harder than expected.  Simple chat has
> achieved agreement, and implementers can now tune their existing
> implementations to achieve interoperability.
> 
> XCON provides a richer conferencing experience.  Implementers wanting
> this enhanced experience can implement it - and bring it the their
> favorite interoperability event to test it.  OTOH requiring the XCON
> framework to be able to do simple chat rooms for MSRP will hurt
> interoperability for basic implementations.  There are orders of
> magnitude in difference of protocol complexity here, and one doesn't
> exclude the other.
> 
> Geir A
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of Adam Roach
> > Sent: 27. september 2010 23:14
> > To: Ben Campbell
> > Cc: Alan Johnston; Simple WG
> > Subject: Re: [Simple] draft-ietf-simple-chat
> >
> >
> >   Speaking as a former XCON chair with some historical insight into
> the
> > simple-chat work:
> >
> > The only real reason we, as an overall community, began the
> simple-chat
> > work under the sole and critical premise that it would be able to
> > complete before XCON. There was explicit discussion that XCON, being a
> > more general solution (supporting all media types), was a better way
> to
> > perform text chat setup and control.
> >
> > And we knew full well that having two ways to do the same thing within
> > a
> > system is a Really Bad Idea. But we were willing to swallow that
> bitter
> > pill: people were *insistent* that we needed something *now*.
> > Simple-chat was conceived as a "poor-man's XCON that works only for
> > text" that needed to finish "now, right now, yesterday in fact."
> >
> > That didn't happen.
> >
> > And now, with CCMP in pubreq, XCON is officially completing before
> > simple-chat.
> >
> > So, since the tortoise has lapped the hare in this endeavor, I
> strongly
> > believe that we need to shut down the simple-chat effort. Its purpose
> > no
> > longer exists: XCON provides a solution. And the interoperability harm
> > it presents as a second way to do the same thing remains.
> >
> > At this point, simple-chat does nothing good. It still does something
> > bad. We should remove it from the charter.
> >
> > /a
> >
> > On 9/27/10 3:43 PM, Ben Campbell wrote:
> > > (as chair - copying XCON chairs since I invoke their wg)
> > >
> > > Hi,
> > >
> > > We are close to ready to progress draft-ietf-simple-chat to the IESG
> > for review and publication. Before we do so, our ADs have asked us to
> > reconfirm the relevance of the draft with the working group, since
> some
> > time has passed since we last discussed this. Please respond to the
> > following questions:
> > >
> > > 1) Is this draft still relevant? Have you implemented it, or do you
> > plan to do so? At one time this was a dependency for OMA, but I
> > understand that is no longer the case. Is anyone aware of any SDO that
> > has a dependency on this work, such as OMA, 3GPP, or others?
> > >
> > > 2) We've had some controversy in the past over how this work relates
> > to similar work in XCON. Originally we started this draft because we
> > thought we could finish a more narrowly scoped effort more quickly.
> > This has not really come to pass. Given the current state of XCON, is
> > draft-ietf-simple-chat still relevant?
> > >
> > > Please respond as soon as possible. Lack of response will be taken
> to
> > indicate lack of interest. I realize we've discussed these before, but
> > time has passed since then.
> > >
> > > Thanks!
> > >
> > > Ben.
> > >
> > >
> > > _______________________________________________
> > > Simple mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/simple
> >
> > _______________________________________________
> > Simple mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/simple
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple